# Method: otherContacts.copyOtherContactToMyContactsGroup

- [HTTP request](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.request_body)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.response_body)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup#try-it)

Copies an "Other contact" to a new contact in the user's "myContacts" group

Mutate requests for the same user should be sent sequentially to avoid increased latency and failures.

### HTTP request

`POST https://people.googleapis.com/v1/{resourceName=otherContacts/*}:copyOtherContactToMyContactsGroup`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Required. The resource name of the "Other contact" to copy. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "copyMask": string, "readMask": string, "sources": [ enum (`https://developers.google.com/people/api/rest/v1/ReadSourceType`) ] } ``` |

| Fields ||
|---|---|
| `copyMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. A field mask to restrict which fields are copied into the new contact. Valid values are: - emailAddresses - names - phoneNumbers |
| `readMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. A field mask to restrict which fields on the person are returned. Multiple fields can be specified by separating them with commas. Defaults to the copy mask with metadata and membership fields if not set. Valid values are: - addresses - ageRanges - biographies - birthdays - calendarUrls - clientData - coverPhotos - emailAddresses - events - externalIds - genders - imClients - interests - locales - locations - memberships - metadata - miscKeywords - names - nicknames - occupations - organizations - phoneNumbers - photos - relations - sipAddresses - skills - urls - userDefined |
| `sources[]` | ``enum (`https://developers.google.com/people/api/rest/v1/ReadSourceType`)`` Optional. A mask of what source types to return. Defaults to `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT` and `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_PROFILE` if not set. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/people/api/rest/v1/people#Person`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contacts.other.readonly`
- `https://www.googleapis.com/auth/contacts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).